import { ChartMeasure, ChartOptions, Property } from "@metad/ocap-core";
export declare enum AxisEnum {
    x = "xAxis",
    y = "yAxis",
    xAxis = "x",
    yAxis = "y",
    radius = "radiusAxis",
    angle = "angleAxis",
    radiusAxis = "radius",
    angleAxis = "angle",
    singleAxis = "singleAxis"
}
export interface SeriesComponentType extends Partial<ChartMeasure> {
    id?: string;
    name: string;
    seriesType?: string;
    seriesStack?: string;
    noDisplay?: boolean;
    property?: Property;
    dataMin?: number;
    dataMax?: number;
    dataSize?: number;
    categoryAxisIndex?: number;
    valueAxisIndex?: number;
    measures?: Array<string>;
    datasetIndex?: number;
    seriesLayoutBy?: string;
    tooltip?: string[];
    sizeMeasure?: ChartMeasure;
    lightnessMeasure?: ChartMeasure;
}
export interface EChartsOptions extends ChartOptions {
    dataZoom?: any;
}
